Wireless Network Watcher

Wireless Network Watcher v1.26
Copyright (c) 2011 Nir Sofer
Web site: http://www.nirsoft.net

Description

Wireless Network Watcher is a small utility that scans your wireless network and displays the list of all computers and devices that are currently connected to your network.
For every computer or device that is connected to your network, the following information is displayed: IP address, MAC address, the company that manufactured the network card, and optionally the computer name.
You can also export the connected devices list into html/xml/csv/text file, or copy the list to the clipboard and then paste into Excel or other spreadsheet application.

System Requirements And Limitations

  • This utility works on Windows 2000, Windows XP, Windows Server 2003/2008, Windows Vista, and Windows 7.
  • This utility can only scan a wireless network that you're currently connected to. It cannot scan other wireless networks.
  • In rare cases, it's possible that Wireless Network Watcher won't detect the correct wireless network adapter, and then you should go to 'Advanced Options' window (F9), and manually choose the correct network adapter.
  • although this utility is officially designed for wireless networks, you can also use it to scan a small wired network.

Versions History

  • Version 1.26
    • Added 'Scan On Program Start' option. You can turn off this option if you don't want that Wireless Network Watcher will start scanning automatically when you run it.
  • Version 1.25
    • Added option to choose the desired IP addresses range to scan. (In the 'Advanced Options' window)
  • Version 1.20
    • Added 'Put Icon On Tray' option. When it's turned on, icon of Wireless Network Watcher is added to the system tray of Windows.
    • Added 'Tray Balloon On New Device' option. If it's turned on, Wireless Network Watcher displays a tray balloon when a new device is detected.
  • Version 1.15
    • Added 'Background Scan', under the Options menu. When this option is turned on, Wireless Network Watcher make a continuous background scan to automatically discover new devices or computers that connected the network, without activating the scan again. The background scan is slower and less intensive then the regular scan, so it won't overload your computer.
    • Added 'Beep On New Device' option. When the background scan is turned on, you can use this option to get a 'beep' sound when a new device is detected.
  • Version 1.10
    • Added 'User Text' column, which allows to enter your own text for a specific computer/device, from the Properties window (Alt+Enter). The text that you write will be displayed for the same device in future scans. (The devices information is stored in the .cfg file of Wireless Network Watcher)
    • Wireless Network Watcher now displays the first date/time that the specified device was found, and the number of times that the device was detected. (The information is saved in the .cfg file)
    • When there are multiple IP address blocks on a single network card, Wireless Network Watcher now scans all of them (In previous versions, it scanned only the first IP addresses block)
    • Fixed bug: In previous version, Wireless Network Watcher randomly skipped some devices after the scanning the first 64 IP addresses.
  • Version 1.05
    • Fixed Wireless Network Watcher to scan the entire network when the subnet mask is not 255.255.255.0, for example, if the subnet mask is 255.255.254.0, Wireless Network Watcher will scan 512 addresses. For now, it's limited for up to 4096 IP addresses, to avoid from very long scanning.
    • Improved the scanning on slow computers or slow networks.
  • Version 1.00 - First release.

Using Wireless Network Watcher

Wireless Network Watcher doesn't require any installation process or additional dll files. In order to start using it, simply extract the executable file (WNetWatcher.exe) from the zip file, and run it.
If you want, you can also download WNetWatcher with full install/uninstall support (wnetwatcher_setup.exe), so a shortcut for running WNetWatcher will be automatically added into your start menu.

After running WNetWatcher, it automatically locates your wireless adapter, and scans your network. After a few seconds, you should start see the list of computers that are currently connected to your network.

If from some reason, WNetWatcher failed to locate and scan your network, you can try to manually choosing the correct network adapter, by pressing F9 (Advanced Options) and choosing the right network adapter.

Columns Description

  • IP Address: IP Address of the device or computer.
  • Device Name: The name of the device or computer. This field may remain empty if the computer or the device doesn't provide its name.
  • MAC Address: The MAC address of the network adapter.
  • Network Adapter Company: The company that manufactured the network adapter, according to the MAC Address. This column can help you to detect the type of the device or computer. For example, if the company name is Apple, the device is probably a Mac computer, iPhone, or iPad.
    if the company name is Nokia, the device is probably a cellular phone of Nokia.
  • Device Information: This column displays 'Your Computer' if the device is the computer that you currently use. This column displays 'Your Router' if the device is the wireless router.

Background Scan

Starting from version 1.15, there is a new option under the Options menu - 'Background Scan'.
When it's turned on, Wireless Network Watcher first make the regular fast network scan to discover all current connected devices. After that, a continuous background scan is activated to discover when new devices are connected to your network. The background scan is slower and less intensive then the regular scan, so it won't overload your computer and you can leave it to run in the background while using other programs.
When the background scan is running, a counter of the scan process is displayed in the second section of the bottom status bar.

When the background scan is used, you can use the 'Beep On New Device' option to get a beep sound when a new device is detected.

Translating Wireless Network Watcher to other languages

In order to translate Wireless Network Watcher to other language, follow the instructions below:
  1. Run Wireless Network Watcher with /savelangfile parameter:
    WNetWatcher.exe /savelangfile
    A file named WNetWatcher_lng.ini will be created in the folder of WNetWatcher utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
  4. After you finish the translation, Run WNetWatcher, and all translated strings will be loaded from the language file.
    If you want to run WNetWatcher without the translation, simply rename the language file, or move it to another folder.

License

This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this and you don't sell it or distribute it as a part of commercial product. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com